TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RootsInSplittingField ( elt-alg^pol f ) -> seq(), fld^fin

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2
Optimize | elt-alg^boo |  |
Default | elt-alg^boo |  |
Sparse | elt-alg^boo |  |

### Description

<shortdoc> Given a univariate polynomial f over a finite field K, compute the splitting field S of f as an extension field of K, and return the roots of f in S as a sequence of tuples, together with S. </shortdoc>

### Examples

x_P := PolynomialAlgebra(FiniteField(5)); x_p := x_P.1^2 - 3; RootsInSplittingField(x_p);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack